> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Store Address List

> Caches a list of addresses and returns a stable SHA-256 hash that identifies the list.



## OpenAPI

````yaml /api-reference/data-api.json post /v2/addresses/list
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.9
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/addresses/list:
    post:
      tags:
        - Address Information
      summary: Store Address List
      description: >-
        Caches a list of addresses and returns a stable SHA-256 hash that
        identifies the list.
      operationId: postAddressList
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostAddressListDto'
      responses:
        '201':
          description: Hash identifying the stored address list.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostAddressListResponseDto'
components:
  schemas:
    PostAddressListDto:
      type: object
      properties:
        addresses:
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/AddressEntryDto'
      required:
        - addresses
    PostAddressListResponseDto:
      type: object
      properties:
        hash:
          type: string
          example: a3f1b2c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2
          description: Stable SHA-256 hash identifying this address list
      required:
        - hash
    AddressEntryDto:
      type: object
      properties:
        address:
          type: string
          minLength: 1
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
          description: Blockchain address
        network:
          type: string
          minLength: 1
          example: solana
          description: Blockchain network identifier
      required:
        - address
        - network
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````